<?php

/**
 * @file
 * In this file have a page to hook_help.
 *
 * Separate this page for a cleean code.
 */

/**
 * This function return html for help page.
 *
 * @param string $path
 *   A simple path.
 *
 * @return string
 *   Return output.
 */
function doc_to_html_help_delegate($path) {

  if ($path == 'admin/help#doc_to_html') {
    $output = '<h3> <strong>' . t('INTRODUCTION') . '</strong></h3> ';
    $output .= '<p> <span style="font-family:verdana,geneva,sans-serif">' . t('This module converts doc or docx to html data, the result will be stored in a content type field (chosen by administration site or specific role).') . '</span></p>';
    $output .= '<p>' . t('After this process the file converted and doc will be deleted.') . '</p>';
    $output .= '<h3><strong>' . t('INSTALLATION') . '</strong></h3>';
    $output .= '<ul>';
    $output .= '<li>' . t('LibreOffice');
    $output .= '<pre>' . t('- Open Your Linux Terminal') . '<br/>' . t('- Execute command :') . '<br/>' . t('- sudo apt-get install libreoffice') . '</pre>';
    $output .= '<pre>' . t('If you have a problem with this library remove and reinstall it:') . '</pre>';
    $output .= '<pre>' . t('- Execute command :') . '<br/>' . t('- sudo apt-get remove --purge libreoffice*') . '<br/>' . t('- sudo apt-get clean') . '<br/>' . t('- sudo apt-get autoremove') . '<br/>' . t('- sudo apt-get install libreoffice') . '</pre>';
    $output .= '</li>';
    $output .= '<li>' . t('Module') . '<pre>' . t('- Enable module') . '</pre></li>';
    $output .= '</ul>';
    $output .= '<h3><strong>' . t('CONFIGURATION') . '</strong></h3>';
    $output .= '<ul>';
    $output .= '<li>' . t('Veryify libreoffice') . '<pre>' . t('- Go to admin/reports/status') . '<br />' . t('- Find voice DOC to HTML -&gt; Libreoffice') . '<br />' . t('- IF the installation done at right show the version of library') . '</pre>';
    $output .= '</li>';
    $output .= '<li>' . t('DOC TO HTML') . '<br />' . t('The module provide tree tab at path:');
    $output .= ' /admin/config/content/doc_to_html';
    $output .= '<ul>';
    $output .= '<li>' . t('IMPORT TO FIELD') . '<br />';
    $output .= '<pre>' . t('In this tab have a list of content type with, if this content type has a "text long" or "text long with summary" field of type, the system shows a checkbox and REGEX filter, use this information to store html data.') . '<br/><br/>' . t('Important :this setting provide to add an extra field file at content type, by default all field unchecked.') . '</pre>';
    $output .= '</li>';
    $output .= '<li>' . t('BASIC SETTINGS');
    $output .= '<pre>' . t('PATH TO SAVE HTML FILE') . '<br/>' . t('- define a temporary folder to store file, this parameters is preset at installation.') . '<br/>' . t('PARSE DATA') . '<br/>' . t('- Execute UTF-8 Encode on html data') . '<br/>' . t('- Execute Regex to extract only body content without head and other tags') . '</pre>';
    $output .= '</li>';
    $output .= '<li>' . t('LIBREOFFICE SETTINGS') . '<br />';
    $output .= t('The settings to execute Libreoffice from command line, the module detect OS and preload basic settings:');
    $output .= '<pre>' . t('- Base Path Application') . '<br/>' . t('The Base path of Libreoffice.');
    $output .= '<br/>' . t('- Command') . '<br/>' . t('main key from execute libreoffice') . '</pre>';
    $output .= '</li>';
    $output .= '</ul>';
    $output .= '</li>';
    $output .= '</ul>';
    $output .= '<pre>' . t('The settings to execute Libreoffice from command line, the module detect OS and preload basic settings:') . '<br/>' . t('- Base Path Application') . '<br/>' . t('The Base path of Libreoffice.') . '<br/>' . t('- Command') . ' <br/>' . t('main key from libreoffice') . '</pre>';
    $output .= '<h3><strong>' . t('AUTHOR/MAINTAINER') . '</strong></h3>';
    $output .= '<pre>' . t('* Giorgio A. Pagano (sjpagan) - https://www.drupal.org/user/3164127') . '</pre>';
  }
  return !empty($output) ? $output : '';
}
