<?php

/**
 * @file
 * This file contain string to execute and test if libreoffice.
 *
 * This file have two function, doc_to_html_test_libre_office_exist()
 * execute simple command and return message, the second function
 * return string to execute command fro convert file to HTML.
 */

/**
 * This function test the presence of libreoffice.
 *
 * @return array
 *   With state and message.
 */
function doc_to_html_test_libre_office_exist() {
  $response = array(
    'libreoffice_presence' => TRUE,
    'type' => '',
    'message' => '',
  );
  // Detect if libreoffice exist.
  $output = doc_to_html_get_libreoffice_version();
  if (empty($output)) {

    // Error Libre office not present.
    $response['libreoffice_presence'] = FALSE;
    $response['type'] = 'error';
    $response['message'] = t('Library libreOffice not installed on server, use apt-get install libreoffice on linux terminal');
  }
  else {

    // Ok libreoffice is present.
    $response['libreoffice_presence'] = TRUE;
    $response['type'] = 'status';
    $response['message'] = t('processed with :');
    $response['message'] .= ' ' . $output[0];
  }
  return $response;
}

/**
 * Return string with command to execute in commandline.
 */
function doc_to_html_get_cmd($command_name, $data) {
  // Get data.
  $os = variable_get('doc_to_html_supported_os', PHP_OS);
  $settings = variable_get('doc_to_html_settings_os', array());

  // Define empty string.
  $cmd = '';
  switch ($command_name) {
    case 'convert_to_html':
      if (isset($settings[$os]) && !empty($settings[$os])) {

        // Get libreoffice command.
        $libreoffice_command = $settings[$os]['base_path_application'] . $settings[$os]['command'];
      }
      $cmd = $libreoffice_command . ' --headless --convert-to html ' . $data['source_file'] . ' --outdir ' . $data['convert_file'];
      break;

    default:
  }
  return $cmd;
}
